> For the complete documentation index, see [llms.txt](https://axiology.gitbook.io/axiology-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://axiology.gitbook.io/axiology-docs/rest-api/trades.md).

# Trades

## GET /trades

> Retrieve a list of trades.

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/trades":{"get":{"deprecated":true,"description":"Retrieve a list of trades.","operationId":"getTrades","parameters":[{"name":"address","required":false,"in":"query","description":"Address of the account","schema":{"format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}","type":"string"}},{"name":"assetId","required":false,"in":"query","description":"Unique UUID of asset in scope of this gateway, if provided will filter results by provided asset","schema":{"format":"uuid","type":"string"}},{"name":"pagination","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/PaginationRequestDto"}}],"responses":{"200":{"description":"Successfully retrieved a list of items.","content":{"application/json":{"schema":{"type":"object","properties":{"pagination":{"$ref":"#/components/schemas/PaginationResponseDto"},"items":{"type":"array","items":{"$ref":"#/components/schemas/OrderMatchDto"}}},"required":["pagination","items"]}}}}},"summary":"","tags":["Trades"]}}},"components":{"schemas":{"PaginationRequestDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1}}},"PaginationResponseDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1},"totalItems":{"type":"number","description":"Total items count"},"totalPages":{"type":"number","description":"Total pages count"}},"required":["totalItems","totalPages"]},"OrderMatchDto":{"type":"object","properties":{"created_at":{"format":"date-time","type":"string","description":"Created date"},"updated_at":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Order match UUID identifier, unique in scope of this node","format":"uuid"},"order_id_1":{"type":"string","description":"Unique identifier for the first order in the match in scope of this gateway","format":"uuid"},"order_id_2":{"type":"string","description":"Unique identifier for the second order in the match in scope of this gateway","format":"uuid"},"buy_amount_1":{"type":"number","description":"Buy amount of the first order in the match"},"buy_amount_2":{"type":"number","description":"Buy amount of the second order in the match"},"match_ratio":{"type":"number","description":"Ratio of the match/price"}},"required":["created_at","updated_at","id","order_id_1","order_id_2","buy_amount_1","buy_amount_2","match_ratio"]}}}}
```

## GET /trades/{orderMatchId}

> Retrieve full specific trade information.

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/trades/{orderMatchId}":{"get":{"deprecated":true,"description":"Retrieve full specific trade information.","operationId":"getTrade","parameters":[{"name":"orderMatchId","required":true,"in":"path","description":"Order match UUID identifier, unique in scope of this node","schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"description":"Successfully received a trade","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderMatchDto"}}}}},"summary":"","tags":["Trades"]}}},"components":{"schemas":{"OrderMatchDto":{"type":"object","properties":{"created_at":{"format":"date-time","type":"string","description":"Created date"},"updated_at":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Order match UUID identifier, unique in scope of this node","format":"uuid"},"order_id_1":{"type":"string","description":"Unique identifier for the first order in the match in scope of this gateway","format":"uuid"},"order_id_2":{"type":"string","description":"Unique identifier for the second order in the match in scope of this gateway","format":"uuid"},"buy_amount_1":{"type":"number","description":"Buy amount of the first order in the match"},"buy_amount_2":{"type":"number","description":"Buy amount of the second order in the match"},"match_ratio":{"type":"number","description":"Ratio of the match/price"}},"required":["created_at","updated_at","id","order_id_1","order_id_2","buy_amount_1","buy_amount_2","match_ratio"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://axiology.gitbook.io/axiology-docs/rest-api/trades.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
